Subject: enlightenment: SVG application icons are not displayed in menu or panel

From: Peter <[email-masked]>
Date: Mon, 18 Oct 2021 12:54:34 +0200

Package: enlightenment
Version: 0.24.2-8
Severity: normal

Dear Maintainer,

after a system upgrade to devuan chimaera, I installed enlightenment form the package. 
It looks like some compile time configuration option for scalable svg icon display is missing.
I see the normal png icons, but scalable svg icons do not work neither in the menu nor in the panel. 
I noticed with the multimedia menu and "Audacious" in the IBar. The icon is not displayed. I had
 /usr/share/icons/hicolor/scalable/apps/audacious.svg selected before with a local installation of enlightenment 0.21, 
which worked well before, but with the installation from package only fixed size icons work. 
If I remember correctly, the formats had to be enabled in the efl or enlightenment build configuration somewhere. 
I have not been able to build enlightenment or the libraries from sources for one or two years now due to dependency 
problems with the local build environment, so I can't check it right now. 
A workaround is to choose a fixed size icon matching the pixel height of the panel, the icon is then also displayed scaled down in the menu,
but this would have to be done for each application where a scalable svg had been configured before.

Regards
  Peter

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-9-amd64 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages enlightenment depends on:
ii  dbus-x11 [default-dbus-session-bus]  1.12.20-2+devuan2
ii  enlightenment-data                   0.24.2-8
ii  libasound2                           1.2.4-1.1
ii  libbluetooth3                        5.55-3.1
ii  libc6                                2.31-13+deb11u2
ii  libecore-con1                        1.25.1-1
ii  libecore-drm2-1                      1.25.1-1
ii  libecore-evas1                       1.25.1-1
ii  libecore-file1                       1.25.1-1
ii  libecore-input1                      1.25.1-1
ii  libecore-ipc1                        1.25.1-1
ii  libecore-wl2-1                       1.25.1-1
ii  libecore-x1                          1.25.1-1
ii  libecore1                            1.25.1-1
ii  libedje-bin                          1.25.1-1
ii  libedje1                             1.25.1-1
ii  libeet1                              1.25.1-1
ii  libeeze1                             1.25.1-1
ii  libefreet-bin                        1.25.1-1
ii  libefreet1a                          1.25.1-1
ii  libeina1a                            1.25.1-1
ii  libeio1                              1.25.1-1
ii  libelementary1                       1.25.1-1
ii  libelput1                            1.25.1-1
ii  libemile1                            1.25.1-1
ii  libemotion1                          1.25.1-1
ii  libevas1                             1.25.1-1
ii  libevas1-engines-drm                 1.25.1-1
ii  libevas1-engines-wayland             1.25.1-1
ii  libevas1-engines-x                   1.25.1-1
ii  libpam0g                             1.4.0-9+deb11u1
ii  libpulse0                            14.2-2
ii  libuuid1                             2.36.1-8+devuan1
ii  libwayland-client0                   1.18.0-2~exp1.1
ii  libwayland-server0                   1.18.0-2~exp1.1
ii  libxkbcommon0                        1.0.3-2

Versions of packages enlightenment recommends:
ii  acpid                                 1:2.0.32-1
ii  bc                                    1.07.1-2+b2
ii  bluez                                 5.55-3.1
ii  libddcutil3                           0.9.9-2
ii  libevas-loaders                       1.25.1-1
ii  packagekit                            1.2.2-2+devuan1
ii  terminology [x-terminal-emulator]     1.9.0-2
ii  udisks2                               2.9.2-2+devuan1
ii  xfce4-terminal [x-terminal-emulator]  0.8.10-1
ii  xterm [x-terminal-emulator]           366-1

Versions of packages enlightenment suggests:
ii  gdb                      10.1-1.7
ii  wdm [x-display-manager]  1.28-25
ii  xdm [x-display-manager]  1:1.1.11-3+b2

-- Configuration Files:
/etc/enlightenment/sysactions.conf changed [not included]

-- no debconf information